

const scriptsInEvents = {

	async Correctandwrong_Event2_Act5(runtime, localVars)
	{
		console.log("c1");
	},

	async Correctandwrong_Event3_Act2(runtime, localVars)
	{
		console.log("w11111");
	},

	async Correctandwrong_Event4_Act2(runtime, localVars)
	{
		console.log("w1");
	},

	async Correctandwrong_Event5_Act2(runtime, localVars)
	{
		console.log("a1");
	},

	async Correctandwrong_Event6_Act5(runtime, localVars)
	{
		console.log("c1");
	},

	async Correctandwrong_Event7_Act2(runtime, localVars)
	{
		console.log("w11111");
	},

	async Correctandwrong_Event8_Act2(runtime, localVars)
	{
		console.log("w1");
	},

	async Correctandwrong_Event9_Act2(runtime, localVars)
	{
		console.log("a1");
	},

	async Correctandwrong_Event10_Act5(runtime, localVars)
	{
		console.log("c2");
	},

	async Correctandwrong_Event11_Act2(runtime, localVars)
	{
		console.log("w22222");
	},

	async Correctandwrong_Event12_Act2(runtime, localVars)
	{
		console.log("w2");
	},

	async Correctandwrong_Event13_Act2(runtime, localVars)
	{
		console.log("a2");
	},

	async Correctandwrong_Event14_Act5(runtime, localVars)
	{
		console.log("c2");
	},

	async Correctandwrong_Event15_Act2(runtime, localVars)
	{
		console.log("w22222");
	},

	async Correctandwrong_Event16_Act2(runtime, localVars)
	{
		console.log("w2");
	},

	async Correctandwrong_Event17_Act2(runtime, localVars)
	{
		console.log("a2");
	},

	async Correctandwrong_Event18_Act5(runtime, localVars)
	{
		console.log("c3");
	},

	async Correctandwrong_Event19_Act2(runtime, localVars)
	{
		console.log("w33333");
	},

	async Correctandwrong_Event20_Act2(runtime, localVars)
	{
		console.log("w3");
	},

	async Correctandwrong_Event21_Act2(runtime, localVars)
	{
		console.log("a3");
	},

	async Correctandwrong_Event22_Act5(runtime, localVars)
	{
		console.log("c3");
	},

	async Correctandwrong_Event23_Act2(runtime, localVars)
	{
		console.log("w33333");
	},

	async Correctandwrong_Event24_Act2(runtime, localVars)
	{
		console.log("w3");
	},

	async Correctandwrong_Event25_Act2(runtime, localVars)
	{
		console.log("a3");
	},

	async Correctandwrong_Event26_Act5(runtime, localVars)
	{
		console.log("c4");
	},

	async Correctandwrong_Event27_Act2(runtime, localVars)
	{
		console.log("w44444");
	},

	async Correctandwrong_Event28_Act2(runtime, localVars)
	{
		console.log("w4");
	},

	async Correctandwrong_Event29_Act2(runtime, localVars)
	{
		console.log("a4");
	},

	async Correctandwrong_Event30_Act5(runtime, localVars)
	{
		console.log("c4");
	},

	async Correctandwrong_Event31_Act2(runtime, localVars)
	{
		console.log("w44444");
	},

	async Correctandwrong_Event32_Act2(runtime, localVars)
	{
		console.log("w4");
	},

	async Correctandwrong_Event33_Act2(runtime, localVars)
	{
		console.log("a4");
	},

	async Correctandwrong_Event34_Act5(runtime, localVars)
	{
		console.log("c5");
	},

	async Correctandwrong_Event35_Act2(runtime, localVars)
	{
		console.log("w55555");
	},

	async Correctandwrong_Event36_Act2(runtime, localVars)
	{
		console.log("w5");
	},

	async Correctandwrong_Event37_Act2(runtime, localVars)
	{
		console.log("a5");
	},

	async Correctandwrong_Event38_Act5(runtime, localVars)
	{
		console.log("c5");
	},

	async Correctandwrong_Event39_Act2(runtime, localVars)
	{
		console.log("w55555");
	},

	async Correctandwrong_Event40_Act2(runtime, localVars)
	{
		console.log("w5");
	},

	async Correctandwrong_Event41_Act2(runtime, localVars)
	{
		console.log("a5");
	},

	async Correctandwrong_Event42_Act1(runtime, localVars)
	{
		  const scormInitialized = pipwerks.SCORM.init();
		  if (scormInitialized) {
		      console.log("SCORM initialized successfully.");
		  } else {
		      console.error("Failed to initialize SCORM.");
		  }
	},

	async Correctandwrong_Event43_Act2(runtime, localVars)
	{
		      var status= pipwerks.SCORM.get("cmi.core.lesson_status")
		    if(status==="incomplete"){
			pipwerks.SCORM.set("cmi.core.score.raw",  runtime.globalVars.score);
		  pipwerks.SCORM.set("cmi.core.score.min", 0);
		  pipwerks.SCORM.set("cmi.core.score.max", 5);
		  }
	},

	async Correctandwrong_Event44_Act1(runtime, localVars)
	{
		  const status = pipwerks.SCORM.get("cmi.core.lesson_status");
		  if (status !== "completed" && status !== "passed") {
		      pipwerks.SCORM.set("cmi.core.lesson_status", "incomplete");
		  }
	},

	async Correctandwrong_Event45_Act1(runtime, localVars)
	{
		  pipwerks.SCORM.set("cmi.core.lesson_status", "completed");
		  pipwerks.SCORM.save();
	},

	async Correctandwrong_Event46_Act1(runtime, localVars)
	{
		 pipwerks.SCORM.quit();
	},

	async Correctandwrong_Event47_Act5(runtime, localVars)
	{
		console.log("c1");
	},

	async Correctandwrong_Event48_Act2(runtime, localVars)
	{
		console.log("w11111");
	},

	async Correctandwrong_Event49_Act2(runtime, localVars)
	{
		console.log("w1");
	},

	async Correctandwrong_Event50_Act2(runtime, localVars)
	{
		console.log("a1");
	},

	async Correctandwrong_Event51_Act5(runtime, localVars)
	{
		console.log("c1");
	},

	async Correctandwrong_Event52_Act2(runtime, localVars)
	{
		console.log("w11111");
	},

	async Correctandwrong_Event53_Act2(runtime, localVars)
	{
		console.log("w1");
	},

	async Correctandwrong_Event54_Act2(runtime, localVars)
	{
		console.log("a1");
	},

	async Correctandwrong_Event55_Act5(runtime, localVars)
	{
		console.log("c2");
	},

	async Correctandwrong_Event56_Act2(runtime, localVars)
	{
		console.log("w22222");
	},

	async Correctandwrong_Event57_Act2(runtime, localVars)
	{
		console.log("w2");
	},

	async Correctandwrong_Event58_Act2(runtime, localVars)
	{
		console.log("a2");
	},

	async Correctandwrong_Event59_Act5(runtime, localVars)
	{
		console.log("c2");
	},

	async Correctandwrong_Event60_Act2(runtime, localVars)
	{
		console.log("w22222");
	},

	async Correctandwrong_Event61_Act2(runtime, localVars)
	{
		console.log("w2");
	},

	async Correctandwrong_Event62_Act2(runtime, localVars)
	{
		console.log("a2");
	},

	async Correctandwrong_Event63_Act5(runtime, localVars)
	{
		console.log("c3");
	},

	async Correctandwrong_Event64_Act2(runtime, localVars)
	{
		console.log("w33333");
	},

	async Correctandwrong_Event65_Act2(runtime, localVars)
	{
		console.log("w3");
	},

	async Correctandwrong_Event66_Act2(runtime, localVars)
	{
		console.log("a3");
	},

	async Correctandwrong_Event67_Act5(runtime, localVars)
	{
		console.log("c3");
	},

	async Correctandwrong_Event68_Act2(runtime, localVars)
	{
		console.log("w33333");
	},

	async Correctandwrong_Event69_Act2(runtime, localVars)
	{
		console.log("w3");
	},

	async Correctandwrong_Event70_Act2(runtime, localVars)
	{
		console.log("a3");
	},

	async Correctandwrong_Event71_Act5(runtime, localVars)
	{
		console.log("c4");
	},

	async Correctandwrong_Event72_Act2(runtime, localVars)
	{
		console.log("w44444");
	},

	async Correctandwrong_Event73_Act2(runtime, localVars)
	{
		console.log("w4");
	},

	async Correctandwrong_Event74_Act2(runtime, localVars)
	{
		console.log("a4");
	},

	async Correctandwrong_Event75_Act5(runtime, localVars)
	{
		console.log("c4");
	},

	async Correctandwrong_Event76_Act2(runtime, localVars)
	{
		console.log("w44444");
	},

	async Correctandwrong_Event77_Act2(runtime, localVars)
	{
		console.log("w4");
	},

	async Correctandwrong_Event78_Act2(runtime, localVars)
	{
		console.log("a4");
	},

	async Correctandwrong_Event79_Act5(runtime, localVars)
	{
		console.log("c5");
	},

	async Correctandwrong_Event80_Act2(runtime, localVars)
	{
		console.log("w55555");
	},

	async Correctandwrong_Event81_Act2(runtime, localVars)
	{
		console.log("w5");
	},

	async Correctandwrong_Event82_Act2(runtime, localVars)
	{
		console.log("a5");
	},

	async Correctandwrong_Event83_Act5(runtime, localVars)
	{
		console.log("c5");
	},

	async Correctandwrong_Event84_Act2(runtime, localVars)
	{
		console.log("w55555");
	},

	async Correctandwrong_Event85_Act2(runtime, localVars)
	{
		console.log("w5");
	},

	async Correctandwrong_Event86_Act2(runtime, localVars)
	{
		console.log("a5");
	}
};

globalThis.C3.JavaScriptInEvents = scriptsInEvents;
